.noto-emoji-400 {
  font-family: "Noto Emoji", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

.noto-sans-symbols-2-regular {
  font-family: "Noto Sans Symbols 2", sans-serif;
  font-weight: 400;
  font-style: normal;
}

body {
    position: fixed;
    width: 100%;
    height: 100%;
    margin: 0;
    background: #ffffff;
}

.app {
    width: 100%;
    height: 100%;
    position: absolute;
    margin: auto;
    background: #161321;
    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: center;
    flex-wrap: wrap;
    justify-content: center;
}

#currentcard {
    background: antiquewhite;
    width: 40vw;
    height: 54vw;
    border-radius: 1vw;
    box-sizing: border-box;
    user-select: none;
    font-size: 71vw;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    padding-top: 23vw;
}


.sidedisplay {
    width: 26vw;
    color: white;
    font-weight: 700;
    font-size: 6vw;
    text-align: center;
}

.centercontainer {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}
.buttoncontainer {
    display: flex;
    justify-content: space-evenly;
    height: 50vw;
    align-items: center;
    flex-direction: column;
}
.label{
	justify-self: center;
	align-self: center;
	color: white;
	font-weight: 700;
	font-size: 6vw;
}
button {
	cursor: pointer;
    width: 16vw;
    height: 8vw;
    font-size: 3vw;
    border-radius: 1vw;
	display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
	user-select: none;
}
#endscreen {
	opacity:0;
	visibility: hidden;
    display: flex;
    top: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    background: #ffffff7d;
    align-items: center;
    justify-content: center;
	animation-duration: 1s;
	animation-fill-mode: forwards;
}
.endwindow {
    position: absolute;
    width: 50%;
    height: 40%;
    background: whitesmoke;
    border-radius: 2vh;
    display: flex;
    flex-direction: column;
    padding: 1%;
    box-sizing: border-box;
}

.endbuttoncontainer {
    display: flex;
    width: 100%;
    height: 20%;
    bottom: 0;
    justify-content: space-evenly;
    align-items: center;
}

.scorebox {
    height: 40%;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.scoreholder {
    width: 20%;
    aspect-ratio: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: 2vh;
    text-align: center;
}
.messageholder {
    width: 100%;
    height: 20%;
    text-align: center;
    font-size: 3vh;
    font-weight: bold;
}
.messageholder2 {
    display: flex;
    width: 100%;
    height: 20%;
    text-align: center;
    font-size: 2vh;
    align-items: center;
    justify-content: center;
}
@keyframes fadein{
	0% {opacity:0%}
	100% {opacity:100%}
}
#infopage {
	opacity:0;
	visibility: hidden;
    display: flex;
    top: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    background: #ffffff7d;
    align-items: center;
    justify-content: center;
	animation-duration: 0.5s;
	animation-fill-mode: forwards;
	user-select:none;
}
#infobutton {
    cursor: pointer;
    background: #ffffff60;
    padding: 1vh;
    height: 3vh;
    width: 3vh;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: 800;
    font-family: monospace;
    font-size: 2vh;
    border-radius: 100%;
    position: absolute;
    top: 1vh;
    left: 1vh;
    user-select: none;
}
#infobutton:hover{
	background: #ffffffcc;
}
.windowcloser {
    width: 100%;
    height: 100%;
    cursor: pointer;
}